% =============================================================================
%
function dudt=rhs_piezo_VEH_1(t,u)
%
% for solve_magnetic_VEH_2
%
% =============================================================================

global kk mm ddamp driveAmp driveFrequ endstop


dudt = zeros(2,1);

% sweep code ----------------------


if( t < 5)                driveFrequ = 22; endif
if((t >= 5) && (t < 10))  driveFrequ = 24; endif
if((t >= 10) && (t < 15)) driveFrequ = 26; endif
if((t >= 15) && (t < 20)) driveFrequ = 28; endif
if((t >= 20) && (t < 25)) driveFrequ = 30; endif
if((t >= 25) && (t < 30)) driveFrequ = 32; endif
if((t >= 30) && (t < 35)) driveFrequ = 34; endif
if((t >= 35) && (t < 40)) driveFrequ = 36; endif
if((t >= 40) && (t < 45)) driveFrequ = 38; endif
if((t >= 45) && (t < 50)) driveFrequ = 40; endif
if(            (t >= 50)) driveFrequ = 42; endif

k = kk;
damp = ddamp;

if( (endstop  == 1) && (u(1) >  2e-3))
  k = 16*kk;
  damp = 3*ddamp;
endif 

dudt(1) = u(2);
dudt(2) = (-k *u(1)  - 2*damp*u(2))/mm + driveAmp*cos(2*pi*driveFrequ*t);

